<style>

    
    .box-lg {
        max-height: 480px;
        min-height: 480px;
        margin:4px !important;
    }
    
    .box-lg>.mdl-card__title {
        min-height: 280px;
        max-height: 280px;
    }
    
    .box-sm {
        max-height: 235px;
        min-height: 235px;
        margin:4px !important;
    }
    
    .box-sm>.mdl-card__title {
        min-height: 140px;
        max-height: 140px;
    }
    
</style>
<!-- TOP GRID WHICH HOLDS 2 CONTAINER. LEFT FOR CONTENT AND RIGHT FOR SIDEBAR ADS -->
<div class="mdl-grid">
    <!-- LEFT CONTAINER FOR ACTUAL CONTENTS -->
    <div class="mdl-cell--9-col">
        
        <ul class="mdl-grid" style="padding:0">
        <li class="mdl-cell mdl-cell--3-col mdl-card mdl-shadow--2dp box-lg">
                        <div class="mdl-card__title" style="background:url('http://static.spotboye.com/images/music/music-news/1481801126117/monali-thakur-and-armaan-malik_small.jpg')"> </div>
                        <div class="mdl-card__supporting-text"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia... </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--icon mdl-js-button mdl-js-ripple-effect"> <i class="material-icons">share</i> </button>
                        </div>
                    </li>
            
        <li class="mdl-cell mdl-cell--3-col mdl-card mdl-shadow--2dp box-lg">
                        <div class="mdl-card__title" style="background:url('http://static.spotboye.com/images/music/music-news/1481801126117/monali-thakur-and-armaan-malik_small.jpg')"> </div>
                        <div class="mdl-card__supporting-text"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia... </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--icon mdl-js-button mdl-js-ripple-effect"> <i class="material-icons">share</i> </button>
                        </div>
                    </li>
            
        <li class="mdl-cell--6-col">
            
            <div class="mdl-grid" style="padding:0;float:right">
            <div class="mdl-cell mdl-cell--6-col mdl-card mdl-shadow--2dp  box-sm">
                        <div class="mdl-card__title" style="background:url('http://static.spotboye.com/images/music/music-news/1481801126117/monali-thakur-and-armaan-malik_small.jpg')"> </div>
                        <div class="mdl-card__supporting-text"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia... </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--icon mdl-js-button mdl-js-ripple-effect"> <i class="material-icons">share</i> </button>
                        </div>
         </div>
                  <div class="mdl-cell mdl-cell--6-col mdl-card mdl-shadow--2dp  box-sm">
                        <div class="mdl-card__title" style="background:url('http://static.spotboye.com/images/music/music-news/1481801126117/monali-thakur-and-armaan-malik_small.jpg')"> </div>
                        <div class="mdl-card__supporting-text"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia... </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--icon mdl-js-button mdl-js-ripple-effect"> <i class="material-icons">share</i> </button>
                        </div>
         </div>
                  <div class="mdl-cell mdl-cell--6-col mdl-card mdl-shadow--2dp  box-sm">
                        <div class="mdl-card__title" style="background:url('http://static.spotboye.com/images/music/music-news/1481801126117/monali-thakur-and-armaan-malik_small.jpg')"> </div>
                        <div class="mdl-card__supporting-text"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia... </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--icon mdl-js-button mdl-js-ripple-effect"> <i class="material-icons">share</i> </button>
                        </div>
         </div>
                  <div class="mdl-cell mdl-cell--6-col mdl-card mdl-shadow--2dp  box-sm">
                        <div class="mdl-card__title" style="background:url('http://static.spotboye.com/images/music/music-news/1481801126117/monali-thakur-and-armaan-malik_small.jpg')"> </div>
                        <div class="mdl-card__supporting-text"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia... </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--icon mdl-js-button mdl-js-ripple-effect"> <i class="material-icons">share</i> </button>
                        </div>
         </div>
       </div>
            
            </li>
            
        </ul>
        
        <!-- JUST-IN, FIRST CONTAINER BOX STARTS --->
        <div class="page-content">
            <div ng-repeat="item in [{'a':'a'},{'a':'a'},{'a':'a'},{'a':'a'},{'a':'a'}]">
                <div ng-class="{box-flex:$index<3}">
                    <div class=" mdl-card mdl-shadow--2dp box1 box-lg" ng-if="$index<3">
                        <div class="mdl-card__title" style="background:url('http://static.spotboye.com/images/music/music-news/1481801126117/monali-thakur-and-armaan-malik_small.jpg')"> </div>
                        <div class="mdl-card__supporting-text"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia... </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--icon mdl-js-button mdl-js-ripple-effect"> <i class="material-icons">share</i> </button>
                        </div>
                    </div>
                </div>
                <div class=" mdl-card mdl-shadow--2dp box1 box-sm" ng-if="$index>3">
                    <div class="mdl-card__title" style="background:url('http://static.spotboye.com/images/music/music-news/1481801126117/monali-thakur-and-armaan-malik_small.jpg')"> </div>
                    <div class="mdl-card__supporting-text"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia... </div>
                    <div class="mdl-card__menu">
                        <button class="mdl-button mdl-button--icon mdl-js-button mdl-js-ripple-effect"> <i class="material-icons">share</i> </button>
                    </div>
                </div>
            </div>
        </div>
        <!-- JUST-IN, FIRST CONTAINER BOX ENDS --->
        
        <!--  SECOND CONTAINER BOX STARTS --->

        <div class="page-content">
            <div class=" mdl-card mdl-shadow--2dp" ng-repeat="item in [{'a':'a'},{'a':'a'},{'a':'a'},{'a':'a'},{'a':'a'},{'a':'a'},{'a':'a'}]">
                <div class="mdl-card__title">
                    <h2 class="mdl-card__title-text">Welcome</h2> </div>
                <div class="mdl-card__supporting-text"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia... </div>
                <div class="mdl-card__menu">
                    <button class="mdl-button mdl-button--icon mdl-js-button mdl-js-ripple-effect"> <i class="material-icons">share</i> </button>
                </div>
            </div>
        </div>
                <!--  SECOND CONTAINER BOX ENDS --->

    </div>
    <!-- RIGHT CONTAINER FOR ADS AND OTHER CONTENTS -->
    <div class="mdl-cell mdl-cell--3-col" style="background:#444">
        <div class="page-content">
            <h4>SIDEBAR</h4> </div>
    </div>
</div>